Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.spi.common.ui
Class SelectModelElementWizardFactory

    java.lang.Object
      org.eclipse.emf.ecp.spi.common.ui.SelectModelElementWizardFactory

    public abstract class SelectModelElementWizardFactory

extends Object

Since:
  1.5
Author:
  Jonas

Constructor Summary
`SelectModelElementWizardFactory()`

Method Summary
`static org.eclipse.emf.ecore.EObject` | `openCreateNewModelElementDialog(SelectionComposite<org.eclipse.jface.viewers.TreeViewer> selectionComposite)`
`static Set<org.eclipse.emf.ecore.EObject>` | `openModelElementSelectionDialog(Set<org.eclipse.emf.ecore.EObject> elements, boolean isMany)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SelectModelElementWizardFactory

    public SelectModelElementWizardFactory()

Method Detail

### openModelElementSelectionDialog

    public static Set<org.eclipse.emf.ecore.EObject> openModelElementSelectionDialog(Set<org.eclipse.emf.ecore.EObject> elements,
                                                                                     boolean isMany)

  Parameters:
    `elements` - The elements to be selected
    `isMany` - whether multi selection is allowed
  Returns:
    The selected elements

### openCreateNewModelElementDialog

    public static org.eclipse.emf.ecore.EObject openCreateNewModelElementDialog(SelectionComposite<org.eclipse.jface.viewers.TreeViewer> selectionComposite)

  Parameters:
    `selectionComposite` - the composite to select the Eclass on
  Returns:
    an new EObject or null, if canceled

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.